#!/bin/bash

echo "***** INSTALL VIM PLUGINS *****"

VIM_PLUG="$HOME/.local/share/nvim/site/autoload/plug.vim"

if [ -f "$VIM_PLUG" ]; then
	echo "Updating vim plugin manager..."
	echo "Updating vim plugins..."
	nvim +PlugUpgrade +PlugUpdate +qall
else
	echo "Installing vim plugin manager..."
	curl -fsSL -o "$VIM_PLUG" --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
	echo "Installing vim plugins..."
	nvim +PlugInstall +qall
fi

echo
